package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 红外遥控模板库对象 t_template_library
 * 
 * @author liming
 * @date 2023-07-12
 */
@Data
@TableName("t_template_library")
public class TemplateLibrary  {
    private static final long serialVersionUID = 1L;

    /** 模板id */
    private Long id;

    /** 基础库id */
    @Excel(name = "基础库id")
    private Long baseId;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String name;

    /** 关联组件id */
    @Excel(name = "关联组件id")
    private String components;

    /** 状态（0使用中 1未使用） */
    @Excel(name = "状态", readConverterExp = "0=使用中,1=未使用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    private Date updateTime;

}
