package com.ruoyi.common.core.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class BaseOrderInfo implements Serializable {

    /**
     * 需要进行排序的字段
     */
    @ApiModelProperty("需要排序的字段")
    private String column;

    /**
     * 是否正序排列，默认 true
     */
    @ApiModelProperty("是否正序排列，默认 true")
    private boolean asc = true;

}
